Modify comprehensive protection for multiple volumes (v1)
Modifies comprehensive protection for multiple volumes. Use this to update replication or backup policies for existing relationships, or to create new SnapMirror or SnapMirror Cloud relationships when none exist.
HTTP method and endpoint
PUT /account/{accountId}/providers/cloudmanager_cbs/api/v1/panoramic-protection/working-environment/{workingEnvironmentId}/volume
Token usage
NetApp Console user token.
Usage notes
If the selected volume already has an existing replication relationship, you can use the API to modify the replication policy. Otherwise, the API can be used to create a replication relationship. It creates a cluster peering relationship, SVM peering, and a DP volume, and then performs a SnapMirror update and initialize operation. Similarly, if the selected volume already has an existing backup to cloud relationship, the API enables you to modify the backup policy. Alternatively, if there is no existing relationship, the API can be used to create a SnapMirror Cloud relationship. It creates a bucket in the specified cloud provider and then perform a SnapMirror Cloud update and initialize operation.
|
|
For new multi-bucket or per-volume object storage integrations, use the v2 panoramic protection API to enable backup on volumes. |
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
accountId |
string |
path |
True |
Account ID |
workingEnvironmentId |
string |
path |
True |
System ID |
authorization |
string |
header |
True |
User token |
X-Agent-Id |
string |
header |
True |
Request identifier |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
volume |
array[volume] |
True |
Example request
{
"volume": [
{}
]
}
Response
Status: 202, Default response
| Name | Type | Required | Description |
|---|---|---|---|
job-id |
string |
False |
Example response
{
"job-id": "string"
}
Definitions
See Definitions
rule
| Name | Type | Required | Description |
|---|---|---|---|
label |
string |
False |
|
retention |
string |
False |
backup-policy
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
False |
Required input |
rule |
array[rule] |
False |
|
archive-after-days |
string |
False |
|
object-lock |
string |
False |
replication
| Name | Type | Required | Description |
|---|---|---|---|
working-environment-id |
string |
False |
|
working-environment-name |
string |
False |
|
svm |
string |
False |
|
policy-name |
string |
False |
|
prefix |
string |
False |
|
suffix |
string |
False |
|
destination-aggregates |
array[string] |
False |
is-enabled
| Name | Type | Required | Description |
|---|---|---|---|
local-snapshot |
boolean |
False |
|
replication |
boolean |
False |
|
cloud-backup |
boolean |
False |
volume
| Name | Type | Required | Description |
|---|---|---|---|
volume-id |
string |
True |
|
volume-name |
string |
False |
|
workload |
string |
False |
Workload type of the volume. Currently only SQL, VOLUMES, VMWARE, ORACLE, HYPERV, K8S, KVM workloads are supported. |
type |
string |
False |
|
backup-policy |
False |
||
state |
string |
False |
|
snapshot-policy |
string |
False |
Snapshot policy name |
architecture |
string |
False |
Type of storage architecture. Fan-out or cascading. |
replication |
False |
||
is-enabled |
True |